Subject: Re: bug#13524: Improving user experience for non-recursive builds

From: Miles Bader <[email-masked]>
Date: Thu, 7 Feb 2013 18:52:51 +0900

>> ... and "canon_reldir" means the same thing, except canonicalized?
>>
> Yes, "canonicalized" in a sense quite specific to Automake:
>
>   <http://www.gnu.org/software/automake/manual/automake.html#Canonicalization>
>
> So, for example, if %reldir% expands to 'foo/bar-baz.d', '%canon-reldir%'
> will expand to 'foo_bar_baz_d'.

Hmm, if that's the case, then I think "canon" is the wrong term to
use, as it typically implies that the result is still in the same
domain as the input.  This operation seems to be more what one might
call "sanitizing"...

[Even if automake uses this term internally, I still think it would be
confusing to expose such unusual usage to the user.]

-miles

-- 
Cat is power.  Cat is peace.